update de php en Elastix 1.6

arcturus

Joined
Dec 9, 2009
Messages
9
Likes
0
Points
0
#1
Hola comunidad,

Antes que nada Feliz Navidad!

Les comento que necesito actualizar PHP en elastix 1.6. Necesito instalar sugarcrm y las últimas versiones de éste, necesitan php 5.2.

Corrí el comando yum update php*, aparentemente bajó e instaló todo, pero sigue corriendo la versión 5.1.6 en mi elastix.

Ahora realizo el yum update php* y me dice que no hay ninguna actualización, osea todo parece normal, sin embargo me sigue apareciendo:

[root@elastix ~]# php -v
PHP 5.1.6 (cli) (built: Nov 29 2010 16:47:37)
Copyright (c) 1997-2006 The PHP Group
Zend Engine v2.1.0, Copyright (c) 1998-2006 Zend Technologies


Muchas gracias por su tiempo!

Saludos.
 

zeoneo

Joined
Sep 24, 2009
Messages
549
Likes
0
Points
0
#2
prueba con "yum remove php"

luego instalas con la vercion mas reciente.

yum install php

Cuentanos como te va

Nos vemos
 

hgeorge123

Joined
Jul 25, 2010
Messages
193
Likes
0
Points
0
#3
Si no pudiste actualizar el php tambien tienes la opcion de instalar el php desde el codigo fuente descargas la version de php que tu necesitas y le pasas las opciones que trae el php que trae el elastix aqui te paso todas las opciones que tiene el mismo.

./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu --target=i386-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/info --cache-file=../config.cache --with-libdir=lib --with-config-file-path=/etc --with-config-file-scan-dir=/etc/php.d --disable-debug --with-pic --disable-rpath --without-pear --with-bz2 --with-curl --with-exec-dir=/usr/bin --with-freetype-dir=/usr --with-png-dir=/usr --enable-gd-native-ttf --without-gdbm --with-gettext --with-gmp --with-iconv --with-jpeg-dir=/usr --with-openssl --with-png --with-pspell --with-expat-dir=/usr --with-pcre-regex=/usr --with-zlib --with-layout=GNU --enable-exif --enable-ftp --enable-magic-quotes --enable-sockets --enable-sysvsem --enable-sysvshm --enable-sysvmsg --enable-track-vars --enable-trans-sid --enable-yp --enable-wddx --with-kerberos --enable-ucd-snmp-hack --with-unixODBC=shared,/usr --enable-memory-limit --enable-shmop --enable-calendar --enable-dbx --enable-dio --with-mime-magic=/usr/share/file/magic.mime --without-sqlite --with-libxml-dir=/usr --with-xml --with-system-tzdata --with-apxs2=/usr/sbin/apxs --without-mysql --without-gd --without-odbc --disable-dom --disable-dba --without-unixODBC --disable-pdo --disable-xmlreader --disable-xmlwriter

Con esto no deberias de tener problemas para instalar el php y quedaria igual que el php que trae por defecto loq ue tendrias es que revisar el php.ini que trae el elastix por defecto a ver que opciones tiene modificadas para que hagas los cambios pertinentes en el php.ini nuevo cualquier duda o problema no dudas en preguntar.
 

Members online

No members online now.

Latest posts

Forum statistics

Threads
30,900
Messages
130,884
Members
17,561
Latest member
marouen
Top